<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="#F8F8F8"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="10dp"
        android:background="@drawable/shape_ffffff_r5"
        android:orientation="vertical"
        android:paddingLeft="10dp"
        android:paddingTop="10dp"
        android:paddingRight="10dp"
        android:paddingBottom="10dp">

        <TextView
            android:id="@+id/id_tv_good_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="5dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:textColor="@color/color_333333"
            android:textSize="18sp"
            android:textStyle="bold" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/id_detail_top_tips"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/shape_fa6240_r10_stroke"
                android:drawableLeft="@drawable/icon_detail_zhongjiang"
                android:drawablePadding="2dp"
                android:gravity="center_vertical"
                android:paddingLeft="5dp"
                android:paddingTop="2dp"
                android:paddingRight="5dp"
                android:paddingBottom="2dp"
                android:text="@string/box_detail_open_box_tips"
                android:textColor="#FA6240"
                android:textSize="12sp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="bottom"
                android:layout_marginRight="3dp"
                android:text="@string/box_detail_open_box_money_unit"
                android:textColor="#FA6240"
                android:textSize="14sp"
                android:textStyle="bold"
                android:visibility="gone" />

            <TextView
                android:id="@+id/id_tv_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="bottom"
                android:layout_marginRight="5dp"
                android:drawableLeft="@drawable/icon_jinbi"
                android:drawablePadding="5dp"
                android:includeFontPadding="false"
                android:textColor="#FA6240"
                android:textSize="24sp"
                android:textStyle="bold"
                android:visibility="gone" />

            <TextView
                android:id="@+id/id_detail_tv_volume"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/box_detail_open_box_num"
                android:textColor="@color/color_999999"
                android:textSize="12sp" />
        </LinearLayout>


    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:layout_marginRight="10dp"
        android:background="@drawable/shape_ffffff_r5"
        android:paddingTop="10dp">

        <TextView
            android:id="@+id/id_detail_shop_pool_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="10dp"
            android:text="@string/box_detail_open_box_shop_pool"
            android:textColor="@color/color_333333"
            android:textSize="16sp"
            android:textStyle="bold" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="1.5dp"
            android:layout_toRightOf="@id/id_detail_shop_pool_title"
            android:text="@string/box_detail_open_box_shop_pool_tips"
            android:textColor="@color/color_999999"
            android:textSize="13sp" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/id_detail_rl_bottom_pool"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/id_detail_shop_pool_title"
            android:layout_margin="5dp" />

    </RelativeLayout>

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="15dp"
        android:layout_marginBottom="75dp"
        android:text="@string/box_detail_open_box_bottom_desc"
        android:textColor="@color/color_999999"
        android:textSize="13sp" />


</LinearLayout>
